Accept/Decline Chargebacks
curl --request PUT \
--url https://api.flutterwave.com/v3/chargebacks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "accept",
"comment": "testing...",
"prooflink": "https//www.example.com/prooflink"
}
'import requests
url = "https://api.flutterwave.com/v3/chargebacks/{id}"
payload = {
"action": "accept",
"comment": "testing...",
"prooflink": "https//www.example.com/prooflink"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action: 'accept',
comment: 'testing...',
prooflink: 'https//www.example.com/prooflink'
})
};
fetch('https://api.flutterwave.com/v3/chargebacks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Chargeback accepted",
"data": {
"id": 1591,
"amount": 100,
"flw_ref": "FLW-MOCK-3cc9bbe84a82eb054191d1a1a609909b",
"status": "accepted",
"stage": "new",
"comment": "Testing Testing",
"due_date": "2024-03-27T15:59:59.000Z",
"settlement_id": "N/A",
"created_at": "2024-03-26T12:12:12.000Z",
"meta": {
"uploaded_proof": null,
"history": [
{
"action": "initiated",
"stage": "new",
"date": "2024-03-26T12:15:06.000Z",
"description": "Debit and hold chargeback amount"
},
{
"action": "notification",
"date": "2024-03-26T12:15:19.000Z",
"description": "Email Notification Sent"
},
{
"action": "accept",
"stage": "new",
"date": "2024-03-27T10:07:43.000Z",
"description": "Merchant accepts claim"
}
]
}
}
}{
"status": "error",
"message": "Error: Chargeback due time has passed",
"data": null
}Chargebacks
Update a chargeback
Update a chargeback
PUT
/
chargebacks
/
{id}
Accept/Decline Chargebacks
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
OK
Show child attributes
Show child attributes
Example:
{
"id": 1591,
"amount": 100,
"flw_ref": "FLW-MOCK-3cc9bbe84a82eb054191d1a1a609909b",
"status": "accepted",
"stage": "new",
"comment": "Testing Testing",
"due_date": "2024-03-27T15:59:59.000Z",
"settlement_id": "N/A",
"created_at": "2024-03-26T12:12:12.000Z",
"meta": {
"uploaded_proof": null,
"history": [
{
"action": "initiated",
"stage": "new",
"date": "2024-03-26T12:15:06.000Z",
"description": "Debit and hold chargeback amount"
},
{
"action": "notification",
"date": "2024-03-26T12:15:19.000Z",
"description": "Email Notification Sent"
},
{
"action": "accept",
"stage": "new",
"date": "2024-03-27T10:07:43.000Z",
"description": "Merchant accepts claim"
}
]
}
}
Was this page helpful?
⌘I